cl-portable-aserve (20190720.gitcac1d69+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Disable the autopkgtest with clisp (Closes: #1108855).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 14 Jul 2025 10:03:24 +0100

cl-portable-aserve (20190720.gitcac1d69+dfsg-6) unstable; urgency=medium

  * Disable the autopkgtest on i386.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 27 Jul 2024 17:08:13 +0900

cl-portable-aserve (20190720.gitcac1d69+dfsg-5) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.6.2, no changes needed.

  [ Sean Whitton ]
  * Try re-enabling the test suite everywhere, with more dynamic space.
    Thanks to glv2 on GitHub for the idea.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 22 Jul 2024 11:45:36 +0900

cl-portable-aserve (20190720.gitcac1d69+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Try a different way of detecting 32bit ARM.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 14 Oct 2022 13:58:45 -0700

cl-portable-aserve (20190720.gitcac1d69+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Disable test suite on 32bit ARM architectures.
    CL-IRONCLAD does not compile against recent SBCL on these architectures.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 11 Oct 2022 17:11:21 -0700

cl-portable-aserve (20190720.gitcac1d69+dfsg-2) UNRELEASED; urgency=medium

  * Trim trailing whitespace.

 -- Debian Janitor <janitor@jelmer.uk>  Tue, 07 Sep 2021 20:30:31 -0000

cl-portable-aserve (20190720.gitcac1d69+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream snapshot
  * Mark autopkgtests as superficial
  * d/rules: simplify using debhelper 12.8’s execute_after_* rules
  * Bump to debhelper 13
  * Bump to S-V 4.5.1
  * Fix spurious executable permissions of some installed files

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 07 Dec 2020 13:54:27 +0100

cl-portable-aserve (20150826.git39b1324+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Rewrite d/copyright using machine-readable format 1.0
  * Drop debian.patch, no longer needed
  * Rewrite d/rules using dh
  * Bump to debhelper compat level 12
  * cl-acl-compat now Depends on cl-ironclad and cl-fad
  * cl-aserve now Recommends cl-ptester (for testsuite)
  * Mark as M-A foreign
  * Add Rules-Requires-Root: no
  * Bump S-V to 4.3.0
  * Register all HTML documents into doc-base
  * Drop "cl-" prefix in directories under /u/s/common-lisp/source/, for
    consistency with other packages
  * examples.patch: new patch, fixes location of examples on the filesystem
  * Add an autopkgtest that loads the ASDF systems on sbcl and clisp

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 15 Feb 2019 12:23:18 +0100

cl-portable-aserve (1.2.42+cvs.2010.02.08-dfsg-2) unstable; urgency=medium

  * Team upload.
  * Acknowledge NMU. (Closes: #769978)
  * Update Vcs-* fields for move to salsa.
  * Set Maintainer to debian-common-lisp@l.d.o.
  * Remove Build-Depends on dh-lisp.
  * Move to 3.0 (quilt) source format.
    New debian.patch that contains modifications to upstream source.
  * Remove preinst/prerm/postinst scripts and dependencies on
    common-lisp-controller.
  * Remove debian/*.dir files (which have wrong suffix).
  * Remove obsolete README.building.
  * Update d/watch using uscan git HEAD mode.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 07 Apr 2018 18:54:36 +0200

cl-portable-aserve (1.2.42+cvs.2010.02.08-dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add dependency on common-lisp-controller to all binary packages. (Closes:
    #767811, #769509, #769512, #769513)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 18 Nov 2014 01:45:26 +0100

cl-portable-aserve (1.2.42+cvs.2010.02.08-dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added dependency of cl-aserve on cl-acl-compat and cl-htmlgen.
    (Closes: #651992)
  * Added dependency of cl-webactions on cl-aserve.

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Fri, 17 Feb 2012 16:21:04 +0100

cl-portable-aserve (1.2.42+cvs.2010.02.08-dfsg-1) unstable; urgency=low

  * New upstream changes with sbcl fixes.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 27 Feb 2010 21:04:28 +0100

cl-portable-aserve (1.2.42+cvs.2008.08.15-dfsg-1) unstable; urgency=low

  * New upstream. Minor changes.
  * Added debian/README.building file
  * Now use debhelper v7
  * changed to lisp Section
  * Re-added dependencies on cl-ppcre and cl-puri. (Closes: #478881)
  * Added eval-when for shadowing-import for openmcl. Closes: #341266
  * Removed libs directory from sources
  * Make a link to version 2.1 of the LGPL
  * Added -e to the preinst scripts
  * Added dummy watch file
  * Removed pre-dh-lisp files
  * fixed doc-base Section

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 09 Sep 2009 06:04:44 +0100

cl-portable-aserve (1.2.42+cvs.2007.05.07-dfsg-3) unstable; urgency=low

  * Changed to group maintanance
  * Corrected Vcs-Git control field
  * fix control file order

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 24 Feb 2008 14:40:26 +0100

cl-portable-aserve (1.2.42+cvs.2007.05.07-dfsg-2) unstable; urgency=low

  * Updated standard version without real changes
  * update copyright file
  * Added Homepage information
  * Move to using dh-lisp
  * Corrected Vcs-Bzr field
  * change copyright file to UTF-8 encoding

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 27 Dec 2007 23:14:28 +0100

cl-portable-aserve (1.2.42+cvs.2007.05.07-dfsg-1) unstable; urgency=low

  * Removed rfc _again_ (Closes: #426370)

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 31 May 2007 21:48:55 +0200

cl-portable-aserve (1.2.42+cvs.2007.02.25-dfsg-2) unstable; urgency=low

  * Upload to unstable.

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 09 Apr 2007 01:05:57 +0200

cl-portable-aserve (1.2.42+cvs.2007.02.25-dfsg-1) experimental; urgency=low

  * Remove watch file as we use cvs based versions now
  * Updated upstream. Major changes:
     + Apply "patch: fixes for cvs openmcl" (James Bielman via
       paserve-discuss)
     + Merge fixes from Hannu Koivisto (mail "Various Fixes" to
       paserve-help 25 Feb)

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 14 Mar 2007 09:32:52 +0100


cl-portable-aserve (1.2.42+cvs.2006.04.24-dfsg-1) unstable; urgency=low

  * New upstream
  * Removed rfc's (Closes: #365200)
  * Moved debhelper to Build-depends
  * Updated standard version without real changes.

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 15 May 2006 05:02:01 +0200

cl-portable-aserve (1.2.42+cvs.2006.01.21-1) unstable; urgency=low

  * New upstream, with sbcl improvements. (Closes: #351810)

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  8 Feb 2006 06:48:59 +0100

cl-portable-aserve (1.2.42+cvs.2005.08.05-5) unstable; urgency=low

  * removed redundant write-vector definition for cmucl
    (Closes: #329125)
  * fixed unicode problem with sbcl (Closes: #329675)

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  3 Oct 2005 12:02:26 +0200

cl-portable-aserve (1.2.42+cvs.2005.08.05-4) unstable; urgency=low

  * sbcl mp patch from Kim Minh Kaplan. Closes: #326092

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  5 Sep 2005 16:34:46 +0200

cl-portable-aserve (1.2.42+cvs.2005.08.05-3) unstable; urgency=low

  * Fixed conflict with sbcl. Closes: #325027

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 30 Aug 2005 10:09:58 +0200

cl-portable-aserve (1.2.42+cvs.2005.08.05-2) unstable; urgency=low

  [ René van Bevern ]
  * René van Bevern:
    + debian/control: cl-aserve and cl-acl compat conflict against
      sbcl < 0.9.3
    + debian/control: build-depend on dh-lisp
    + debian/rules: build using dh-lisp (remove prerm and postinst
      scripts, as they are autogenerated)

  [ Peter Van Eynde ]
  * Accepted patches and taking all the fame ;-)

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 26 Aug 2005 09:50:23 +0200

cl-portable-aserve (1.2.42+cvs.2005.08.05-1) unstable; urgency=low

  * Incorporated sbcl/mp patck from Konstantinos Koukopoulos. i
    Closes: #321636.
  * New upstream that imcorporated previous patch.
  * token new version

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  8 Aug 2005 12:39:35 +0200

cl-portable-aserve (1.2.42+cvs.2005.07.05-1) unstable; urgency=low

  * New policy version
  * No longer native version
  * Updated upstream
  * uses darcs-buildpackage now
  * Leave upstream changelogs alone
  * Remove CVS cruft from source directories
  * Added watch file, but upstream has not released yet. For the
    version number of the package, see the *aserve-version* parameter in the
    file aserve/main.cl.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  2 Aug 2005 05:40:41 +0200

cl-portable-aserve (1.2.42+cvs.2005.02.21) unstable; urgency=low

  * New maintainer. (Closes: #297380: O: cl-portable-aserve --
    Compatibility layer for Allegro Common Lisp)
  * / 297381 Adopted by Peter Van Eynde

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  1 Mar 2005 10:18:57 +0100

cl-portable-aserve (1.2.42+cvs.2005.02.20) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 20 Feb 2005 13:33:23 -0700

cl-portable-aserve (1.2.35+cvs.2004.09.24) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 24 Sep 2004 10:59:00 -0600

cl-portable-aserve (1.2.35+cvs.2004.08.31) unstable; urgency=high

  * New upstream with important SBCL changes

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 31 Aug 2004 14:35:27 -0600

cl-portable-aserve (1.2.35+cvs.2004.08.21) unstable; urgency=low

  * Update README.Debian (closes:267234)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 21 Aug 2004 11:53:38 -0600

cl-portable-aserve (1.2.35+cvs.2004.08.11) unstable; urgency=low

  * Add acl-compat function for lispworks (closes:265041)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 11 Aug 2004 13:03:20 -0600

cl-portable-aserve (1.2.35+cvs.2004.08.04) unstable; urgency=low

  * Fix compilation on Allegro (closes:248033)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  4 Aug 2004 22:23:58 -0600

cl-portable-aserve (1.2.35+cvs.2004.08.03) unstable; urgency=low

  * Convert to CLC 4 (closes:263378)

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  3 Aug 2004 20:41:32 -0600

cl-portable-aserve (1.2.35+cvs.2004.08.02) unstable; urgency=low

  * README.Debian: Add note about incompatibilities for webactions
  (closes:260199)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  2 Aug 2004 21:41:06 -0600

cl-portable-aserve (1.2.35+cvs.2004.07.08) unstable; urgency=low

  * New upstream (closes:258127)

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu,  8 Jul 2004 11:54:41 -0600

cl-portable-aserve (1.2.35+cvs.2004.06.09) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  9 Jun 2004 21:49:44 -0600

cl-portable-aserve (1.2.35+cvs.2004.04.26) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 26 Apr 2004 12:18:16 -0600

cl-portable-aserve (1.2.35+cvs.2004.03.16b) unstable; urgency=low

  * New upstream
  * Now compiles webactions on cmucl/sbcl (closes:231151)

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 16 Mar 2004 13:41:41 -0700

cl-portable-aserve (1.2.35+cvs.2004.03.16) unstable; urgency=low

  * New upstream (closes:238258)

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 16 Mar 2004 09:26:22 -0700

cl-portable-aserve (1.2.35+cvs.2004.03.15) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 15 Mar 2004 19:53:00 -0700

cl-portable-aserve (1.2.35+cvs.2004.03.05) unstable; urgency=low

  * Add dependencies on cl-ppcre and cl-puri (closes:236283)

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  5 Mar 2004 19:55:59 -0700

cl-portable-aserve (1.2.35+cvs.2004.03.01) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  1 Mar 2004 10:04:49 -0700

cl-portable-aserve (1.2.33+cvs2003.12.05) unstable; urgency=low

  * Add cl-webactions binary package

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  5 Dec 2003 14:47:40 -0700

cl-portable-aserve (1.2.33+cvs2003.12.02) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  2 Dec 2003 09:47:07 -0700

cl-portable-aserve (1.2.27+cvs2003.11.15b) unstable; urgency=low

  * Add notice to README.Debian about dependencies when compiling
  on CMUCL (closes:220765)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 15 Nov 2003 20:31:55 -0700

cl-portable-aserve (1.2.27+cvs2003.11.15) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 15 Nov 2003 20:19:28 -0700

cl-portable-aserve (1.2.27+cvs2003.09.19) unstable; urgency=low

  * New upstream, fix clisp compilation (closes:210759)

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 19 Sep 2003 09:41:22 -0600

cl-portable-aserve (1.2.27+cvs2003.09.13) unstable; urgency=low

  * Add depends for cl-htmlgen (closes:210756)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 13 Sep 2003 11:31:17 -0600

cl-portable-aserve (1.2.27+cvs2003.09.10) unstable; urgency=low

  * Update description for cl-htmlgen (closes: 209449)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 10 Sep 2003 00:13:27 -0600

cl-portable-aserve (1.2.27+cvs2003.08.29) unstable; urgency=low

  * New upstream
  * Patched to allegroserver 1.2.27 version

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 24 Aug 2003 12:18:25 -0600

cl-portable-aserve (1.2.12c+cvs2003.08.17) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 17 Aug 2003 23:45:03 -0600

cl-portable-aserve (1.2.12c+cvs2003.08.09) unstable; urgency=low

  * Use CMUCL graystream (closes:203860)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat,  9 Aug 2003 19:08:51 -0600

cl-portable-aserve (1.2.12c+cvs2003.07.29) unstable; urgency=low

  * Update dependencies to move package into testing

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 29 Jul 2003 13:32:29 -0600

cl-portable-aserve (1.2.12c+cvs2003.07.06) unstable; urgency=low

  * Update for cmucl-18e

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat,  5 Jul 2003 21:48:33 -0600

cl-portable-aserve (1.2.12c+cvs2003.06.12) unstable; urgency=low

  * Add version dependency for cmucl 18e (closes: 197564)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 15 Jun 2003 19:53:43 -0600

cl-portable-aserve (1.2.12c+cvs2003.06.11) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 28 May 2003 15:07:49 -0600

cl-portable-aserve (1.2.12c+cvs2003.05.11) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 11 May 2003 16:02:05 -0600

cl-portable-aserve (1.2.12c+cvs2003.04.15) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 15 Apr 2003 13:45:49 -0600

cl-portable-aserve (1.2.12c+cvs2003.01.11) unstable; urgency=low

  * Add information to README.Debian about the need to install
  the Debian package cmucl-graystream (closes: 175898)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 11 Jan 2003 14:41:48 -0700

cl-portable-aserve (1.2.12c+cvs2002.12.27) unstable; urgency=low

  * Add ACL compatibility

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 26 Dec 2002 16:17:14 -0700

cl-portable-aserve (1.2.12c+cvs2002.12.26) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 17 Dec 2002 23:02:12 -0700

cl-portable-aserve (1.2.12c+cvs2002.12.11) unstable; urgency=low

  * Move htmlgen.html to cl-htmlgen package

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 11 Dec 2002 06:36:04 -0700

cl-portable-aserve (1.2.12c+cvs2002.12.05) unstable; urgency=low

  * Fix loading of gray streams during compile-op

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu,  5 Dec 2002 09:23:20 -0700

cl-portable-aserve (1.2.12c+cvs2002.12.02) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  2 Dec 2002 09:57:40 -0700

cl-portable-aserve (1.2.12c+cvs2002.11.07) unstable; urgency=low

  * Adds clisp support

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  8 Nov 2002 08:49:25 -0700

cl-portable-aserve (1.2.12c+cvs2002.10.20) unstable; urgency=low

  * acl-compat.asd: to improve graystream handling with Common Lisp
  Controller. Merge acl-compat-mcl.system.
  * control: Add explanation for the requirement of cmucl-graystream.

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 20 Oct 2002 13:36:18 -0600

cl-portable-aserve (1.2.12c+cvs2002.10.16) unstable; urgency=low

  * Add reader conditional on .asd files so that defsystem is only read
  for compatible implementations.

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 16 Oct 2002 01:42:32 -0600

cl-portable-aserve (1.2.12c+cvs2002.10.15) unstable; urgency=low

  * Add cl-htmlgen to Depends: for cl-aserve

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 15 Oct 2002 16:55:57 -0600

cl-portable-aserve (1.2.12c+cvs2002.10.10) unstable; urgency=low

  * Test and remove any old symlinks by pre-offical versions of this package

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 10 Oct 2002 09:27:42 -0600

cl-portable-aserve (1.2.12c+cvs2002.10.09) unstable; urgency=low

  * Push package name onto features after .asd load-op

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  9 Oct 2002 11:47:11 -0600

cl-portable-aserve (1.2.12c+cvs2002.10.06) unstable; urgency=low

  * Expand package descriptions (closes: 163598)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  6 Oct 2002 20:07:13 -0600

cl-portable-aserve (1.2.12c+cvs2002.09.22) unstable; urgency=low

  * New upstream release
  * Initial Debian Release (closes: 162213)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 23 Sep 2002 07:38:34 -0600

cl-portable-aserve (1.2.5b-4) unstable; urgency=low

  * Fixing lintian bugs

 -- Stig E Sandoe <stig@users.sourceforge.net>  Sat, 13 Oct 2001 15:11:03 +0200

cl-portable-aserve (1.2.5b-3) unstable; urgency=low

  * Minor fix on debian-package type.

 -- Stig E Sandoe <stig@users.sourceforge.net>  Sat, 13 Oct 2001 14:09:41 +0200

cl-portable-aserve (1.2.5b-2) unstable; urgency=low

  * Added some files from original CVS.
  * Changed doc-category to Lisp/Net
  * Added improved thread-handling for CMU

 -- Stig E Sandoe <stig@users.sourceforge.net>  Sat, 13 Oct 2001 12:22:51 +0200

cl-portable-aserve (1.2.5b-1) unstable; urgency=low

  * Initial Release.

 -- Stig E Sandoe <stig@users.sourceforge.net>  Fri, 12 Oct 2001 20:49:30 +0200
